<?php

declare(strict_types=1);

namespace Rowlinson\Api\Responses\Product;

use JMS\Serializer\Annotation as Serializer;

class MediaResponse
{
    /**
     * @Serializer\Type("string")
     */
    public ?string $embed = null;
    /**
     * @var array<string,ImageResponse>
     * @Serializer\Type("array<string,Rowlinson\Api\Responses\Product\ImageResponse>")
     */
    public array $images = [];
}
